#include <stdio.h>

extern "C" __device__ int test();

__managed__ __device__ int x;

__global__ void kernel()
{
	x=test();
}

int main(int argc,char const* argv[])
{
	cudaError_t eError;
	printf("hi!\n");

	kernel<<<1,1>>>();
	cudaDeviceSynchronize();

	eError=cudaGetLastError();
	if (eError!=cudaSuccess)
	{
		printf("%s\n",cudaGetErrorString(eError));
		return 1;
	}

	printf("%d\n",x);

	return 0;
}

